=== po/de/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(de ${PO_FILES})
