=== po/ru/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(ru ${PO_FILES})
