## kmediafactory 0.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 set(KMF_MAJOR_VERSION "0")
 set(KMF_MINOR_VERSION "7")
-set(KMF_BUILD_VERSION "2")
+set(KMF_BUILD_VERSION "5")
 set(VERSION "${KMF_MAJOR_VERSION}.${KMF_MINOR_VERSION}.${KMF_BUILD_VERSION}")
 set(GENERIC_KMF_LIB_VERSION ${VERSION})
 set(GENERIC_KMF_LIB_SOVERSION ${KMF_MAJOR_VERSION})
