=== media/CMakeLists.txt ===
set(kmediafactory_MEDIA
	silence.mp2
)

install(FILES ${kmediafactory_MEDIA} DESTINATION ${DATA_INSTALL_DIR}/kmediafactory/media)
