=== lib/pics/CMakeLists.txt ===
set(kmfwidgets_PICS
	kmffontchooser.png
	kmfimageview.png
	kmflanguagecombobox.png
	kmflanguagelistbox.png
)

install(FILES ${kmfwidgets_PICS} DESTINATION ${DATA_INSTALL_DIR}/kmfwidgets/pics)
