=== po/pl/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(pl ${PO_FILES})
