=== plugins/template/artwork/CMakeLists.txt ===
install(FILES default-bg.svgz DESTINATION ${DATA_INSTALL_DIR}/kmediafactory/images)
