=== debian/changelog ===
kmediafactory (0.7.5-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release:
    - Add build-depend on libfontconfig1-dev for new fontconfig dependency
  * Switch to source format 3.0:
    - Bump debhelper build-depend version to 7.3.16 or greater
    - Bump debian/compat to 7
  * Move the Homepage field from the long description to its own field
  * Bump Standards-Version to 3.8.4
  * Switch packaging to use debhelper short rules with the kde addon:
    - Add build-depend on pkg-kde-tools (>= 0.5.0)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 18 Feb 2010 18:18:32 -0500

kmediafactory (0.7.2-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Apr 2009 17:17:38 -0400

kmediafactory (0.7.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #194438)
  * Bump Standards-Version to 3.8.1
  * Bump libxine-dev to 1.1.16
  * Drop kdelibs4-dev, libqt3-mt-dev, libmagick++-dev
  * Add kdelibs5-dev
  * Remove debian/patches is obsolete
  * Remove simple-patchsys and bump kde.mk to kde4.mk in rules
  * Add ${misc:Depends} to binary package to make lintian happy
  * Remove docbooks for kmediafactoryplayer and kmf_dbg_edit.sh, the
    executables are no longer distributed

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Wed, 29 Apr 2009 00:07:42 +0200

kmediafactory (0.5.2-0ubuntu6) jaunty; urgency=low

  * debian/patches/fix_ffmpeg_i386.diff: fix a FTBFS in i386, by disabling
    -fPIC flag for libavcodec/i386 (LP: #350132)

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Sat, 28 Mar 2009 07:06:43 +0000

kmediafactory (0.5.2-0ubuntu5) jaunty; urgency=low

  * debian/control: 
    - changed build dependency from libdvdread3-dev to libdvdread-dev for 
      libdvdread 4.x transition (LP: #330684)
    - Also changed dependency on libmagick++9-dev to libmagick++-dev for 
      libmagickcore transition (LP: #348160)
    - Added dvd-slideshow support by adding dvd-slideshow in build dependency
    - debian/patches/libmagickcore_transition.diff: fix compilation errors 
      because of new libmagickcore class names and includes

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Wed, 25 Mar 2009 21:24:41 +0000

kmediafactory (0.5.2-0ubuntu4) hardy; urgency=low

  * Rebuild for libmagick9 -> libmagick10 transition.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 28 Feb 2008 11:14:38 +0100

kmediafactory (0.5.2-0ubuntu3) hardy; urgency=low

  * Fixed deps for mjpegtools. (LP: #163900)

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Mon, 19 Nov 2007 21:26:45 +0100

kmediafactory (0.5.2-0ubuntu2) hardy; urgency=low

  * Adjust dependencies for new xine packages. (LP: #159338)

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Sat, 3 Nov 2007 11:54:45 +0100

kmediafactory (0.5.2-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * Changed Standards-Version to 3.7.2.2.
  * Added original maintainer and changed email to @kubuntu.org.
  * Changed maintainer to Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
  * Added deps of mpegtools, dvdauthor, ffmpeg. (LP: #40628)
  * Added suggestion of mplayer, openoffice.org. (As stated in author's website)

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Mon, 8 Oct 2007 23:40:07 +0200

kmediafactory (0.5.1-0ubuntu2) feisty; urgency=low

  * Rebuild for ldbl128 change (powerpc, sparc).

 -- Matthias Klose <doko@ubuntu.com>  Thu,  1 Mar 2007 22:41:40 +0000

kmediafactory (0.5.1-0ubuntu1) dapper; urgency=low

  * Initial release.
  * Made kubuntu_01_docfix.diff: Fixes the doc/en dirs Makefile.in so that
    it does not look for a index.docbook.orig.

 -- Jonathan Patrick Davies <jpatrick@ubuntu.com>  Wed, 12 Apr 2006 18:29:07 +0200
