=== debian/rules ===
#!/usr/bin/make -f

DEB_INSTALL_MANPAGES_kmediafactory = kmediafactory.1
DEB_CONFIGURE_EXTRA_FLAGS := --disable-rpath

override_dh_auto_build:
	# Build man pages from docbooks
	docbook2x-man debian/kmediafactory.1.docbook

override_dh_clean:
	# Remove man pages
	rm -f kmediafactory.1

%:
	dh --with kde $@
