=== plugins/template/media/CMakeLists.txt ===
install(FILES silence.mp2 DESTINATION ${DATA_INSTALL_DIR}/kmediafactory/media)
install(FILES default-bg.svgz DESTINATION ${DATA_INSTALL_DIR}/kmediafactory/images)
