=== debian/changelog ===
kmediafactory (0.8.0-0ubuntu2) maverick; urgency=low

  * Build-dep on latest kde4libs for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Jul 2010 11:21:51 +0100

kmediafactory (0.8.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Add fedora-docbook-fix.diff and kmediafactory-0.8.0-dso.patch from
      from fedora (thanks rdieter) to build with current KDE
  * Add melt to suggests
  * Add libkexiv2-dev to build-depends
  * Update debian/copyright
  * Update homepage field in debian/control
  * Add debian/watch

 -- Scott Kitterman <scott@kitterman.com>  Mon, 14 Jun 2010 09:17:22 -0400

kmediafactory (0.7.5-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Fix dh_auto_build and dh_clean not being called.
  * Install manpage, missing in last upload.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 18 May 2010 21:53:25 +0200
