=== debian/control ===
Source: kmediafactory
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Patrick Davies <jpatrick@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16),
               pkg-kde-tools (>= 0.5.0),
               kdelibs5-dev (>= 4:4.4.92-0ubuntu3),
               cmake,
               libtheora-dev,
               libxine-dev (>= 1.1.16),
               libdvdread-dev,
               libdv4-dev,
               dvdauthor,
               mjpegtools,
               zip,
               docbook2x,
               dvd-slideshow,
               libfontconfig1-dev,
               libkexiv2-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/kmediafactory/

Package: kmediafactory
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mjpegtools, dvdauthor, ffmpeg
Suggests: kaffeine, k3b, xine-ui, mplayer, openoffice.org, melt
Description: template based DVD authoring tool for KDE.
 kMediaFactory is an easy to use template based DVD authoring tool. You can
 quickly create DVD menus for home videos and TV recordings in three simple
 steps.
