=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	dh_auto_build

	# Build man pages from docbooks
	docbook2x-man debian/kmediafactory.1.docbook

override_dh_auto_clean:
	dh_auto_clean

	# Remove man pages
	rm -f kmediafactory.1

%:
	dh --with kde $@
