## kmediafactory 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 macro(IS_KDE_VERSION version)
   #message("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}")
+  #message("${version} ${ARGV1}.${ARGV2}.${ARGV3}")
   math(EXPR V1 "(((${KDE_VERSION_MAJOR}) << 16) | ((${KDE_VERSION_MINOR}) << 8) | (${KDE_VERSION_RELEASE}))")
   math(EXPR V2 "(((${ARGV1}) << 16) | ((${ARGV2}) << 8) | (${ARGV3}))")
   if (${V1} GREATER ${V2} OR ${V2} EQUAL ${V1})
@@ -12,8 +13,8 @@
 endmacro(IS_KDE_VERSION)
 
 set(KMF_MAJOR_VERSION "0")
-set(KMF_MINOR_VERSION "7")
-set(KMF_BUILD_VERSION "5")
+set(KMF_MINOR_VERSION "8")
+set(KMF_BUILD_VERSION "1")
 set(VERSION "${KMF_MAJOR_VERSION}.${KMF_MINOR_VERSION}.${KMF_BUILD_VERSION}")
 set(GENERIC_KMF_LIB_VERSION ${VERSION})
 set(GENERIC_KMF_LIB_SOVERSION ${KMF_MAJOR_VERSION})
@@ -23,6 +24,8 @@
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
 include(MacroLibrary)
+
+IS_KDE_VERSION(KDE_4_4 4 3 90)
 
 check_function_exists(va_copy VA_COPY)
 
@@ -38,21 +41,20 @@
 find_program(MSGFMT_EXECUTABLE msgfmt)
 find_program(MSGMERGE_EXECUTABLE msgmerge)
 find_program(XGETTEXT_EXECUTABLE xgettext)
+find_program(EXTRACTRC_EXECUTABLE extractrc)
+macro_log_feature(EXTRACTRC_EXECUTABLE "extractrc" "For translations" "http://www.kde.org/" FALSE "" "")
 
 find_program(ZIP_EXECUTABLE zip)
 macro_log_feature(ZIP_EXECUTABLE "zip" "For packing templates" "http://www.info-zip.org/" TRUE "" "")
 
 find_program(DVDAUTHOR_EXECUTABLE dvdauthor)
-macro_log_feature(DVDAUTHOR_EXECUTABLE "dvdauthor" "For making DVDs" "http://dvdauthor.sourceforge.net/" TRUE "0.6.11" "")
-
-find_program(FFMPEG_EXECUTABLE ffmpeg)
-macro_log_feature(FFMPEG_EXECUTABLE "ffmpeg" "For extracting frames from videos" "http://ffmpeg.mplayerhq.hu/" TRUE "" "")
+macro_log_feature(DVDAUTHOR_EXECUTABLE "dvdauthor" "For making DVDs" "http://dvdauthor.sourceforge.net/" FALSE "0.6.11" "NOTE: Is required runtime")
 
 find_program(MPEG2ENC_EXECUTABLE mpeg2enc)
-macro_log_feature(MPEG2ENC_EXECUTABLE "mpeg2enc" "For making mpeg files" "http://mjpeg.sourceforge.net/" TRUE "" "")
+macro_log_feature(MPEG2ENC_EXECUTABLE "mpeg2enc" "For making mpeg files" "http://mjpeg.sourceforge.net/" FALSE "" "NOTE: Is required runtime")
 
-find_program(MPLAYER_EXECUTABLE mpeg2enc)
-macro_log_feature(MPLAYER_EXECUTABLE "mplayer" "For getting info from video file" "http://www.mplayerhq.hu/" TRUE "" "")
+find_package(Ffmpeg REQUIRED)
+macro_log_feature(FFMPEG_SWSCALE_FOUND "ffmpeg libraries" "Parsing of mpeg files" "www.ffmpeg.org/" FALSE "" "")
 
 # Optional packages
 find_package(LibDvdread)
@@ -61,6 +63,9 @@
 
 find_program(DVDSLIDESHOW_EXECUTABLE dvd-slideshow)
 macro_log_feature(DVDSLIDESHOW_EXECUTABLE "dvd-slideshow" "For making slideshows" "http://dvd-slideshow.sourceforge.net/wiki/Main_Page" FALSE "" "")
+
+find_program(MELT_EXECUTABLE melt)
+macro_log_feature(MELT_EXECUTABLE "melt" "For making slideshows" "http://www.mltframework.org/" FALSE "" "")
 
 find_program(K3B_EXECUTABLE k3b)
 macro_log_feature(K3B_EXECUTABLE "k3b" "For burning DVDs" "http://www.k3b.org/" FALSE "" "")
@@ -77,8 +82,9 @@
 find_program(GS_EXECUTABLE gs)
 macro_log_feature(GS_EXECUTABLE "ghostscript" "For converting pdf to slideshow" "http://pages.cs.wisc.edu/~ghost/" FALSE "" "")
 
-# Are we using this?
-find_program(EXTRACTRC_EXECUTABLE extractrc)
+find_package(Kexiv2)
+macro_bool_to_01(KEXIV2_FOUND HAVE_KEXIV2)
+macro_log_feature(KEXIV2_FOUND "libkexiv2" "For slideshow picture comments" "http://www.kde.org/" FALSE "" "")
 
 add_definitions(
     ${QT_DEFINITIONS}
@@ -121,7 +127,6 @@
 add_subdirectory(mimetypes)
 add_subdirectory(icons)
 add_subdirectory(scripts)
-add_subdirectory(media)
 add_subdirectory(po)
 add_subdirectory(doc)
