=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 add_subdirectory(pics)
 
-include_directories(${CMAKE_CURRENT_SOURCE_DIR})
+include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${FFMPEG_INCLUDE_DIR})
 if(LIBDVDREAD_FOUND)
    include_directories(${LIBDVDREAD_INCLUDE_DIR})
 endif(LIBDVDREAD_FOUND)
@@ -11,14 +11,13 @@
   dvdauthorparser.cpp
   kmfimageview.cpp
   kmftime.cpp
-  kmffontchooser.cpp
   kmftools.cpp
-  kmfmultiurldialog.cpp
   qdvdinfo.cpp
   kmfmediafile.cpp
   run.cpp
   kmftoolbar.cpp
   Q4puGenericSignalSpy.cpp
+  videofile.cpp
 )
 
 set(kmf_HEADERS
@@ -27,9 +26,7 @@
   dvdauthorparser.h
   kmfimageview.h
   kmftime.h
-  kmffontchooser.h
   kmftools.h
-  kmfmultiurldialog.h
   qdvdinfo.h
   kmfmediafile.h
   run.h
@@ -37,15 +34,12 @@
   kmflistmodel.h
 )
 
-kde4_add_ui_files(kmf_LIB_SRCS
-  kmfmultiurldialog.ui
-)
-
 kde4_add_library(kmf SHARED ${kmf_LIB_SRCS})
-target_link_libraries(kmf ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_KUTILS_LIBS} ${XINE_LIBRARY} ${FONTCONFIG_LIBRARIES})
+target_link_libraries(kmf ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_KUTILS_LIBS} ${XINE_LIBRARY} ${FONTCONFIG_LIBRARIES} ${FFMPEG_LIBRARIES})
 if(LIBDVDREAD_FOUND)
    target_link_libraries(kmf ${LIBDVDREAD_LIBRARY})
 endif(LIBDVDREAD_FOUND)
+
 set_target_properties(kmf PROPERTIES VERSION ${GENERIC_KMF_LIB_VERSION} SOVERSION ${GENERIC_KMF_LIB_SOVERSION})
 install(TARGETS kmf DESTINATION ${LIB_INSTALL_DIR})
