=== po/CMakeLists.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 add_subdirectory(pl)
 add_subdirectory(pt_BR)
 add_subdirectory(ru)
+add_subdirectory(uk)
