=== scripts/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,7 @@
 set(kmediafactory_SCRIPTS
-  kmf_frame
-  kmf_info
   kmf_make_mpeg
   kmf_oo2pdf
+  kmf_dvdauthor_version
   tools
 )
