=== plugins/output/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
   dvddirectoryobject.cpp
   dvdauthorobject.cpp
   k3bobject.cpp
+  isoobject.cpp
 )
 
 if(LIBDVDREAD_FOUND)
@@ -19,11 +20,16 @@
 
 kde4_add_ui_files(kmediafactory_output_SRCS
   dvdinfo.ui
+  outputconfig.ui
 )
 
+kde4_add_kcfg_files(kmediafactory_output_SRCS
+  outputpluginsettings.kcfgc
+)
 kde4_add_plugin(kmediafactory_output ${kmediafactory_output_SRCS})
 target_link_libraries(kmediafactory_output ${KDE4_KIO_LIBS} ${KDE4_THREADWEAVER_LIBRARY} kmediafactoryinterfaces kmf kmediafactorykstore)
 
 install(TARGETS kmediafactory_output DESTINATION ${PLUGIN_INSTALL_DIR})
 install(FILES kmediafactory_outputui.rc DESTINATION ${DATA_INSTALL_DIR}/kmediafactory)
+install(FILES outputplugin.kcfg DESTINATION ${KCFG_INSTALL_DIR})
 install(FILES kmediafactory_output.desktop DESTINATION ${SERVICES_INSTALL_DIR})
