=== po/cs/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(cs ${PO_FILES})
