=== po/fi/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(fi ${PO_FILES})
