=== po/pt_BR/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(pt_BR ${PO_FILES})
