=== po/uk/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(uk ${PO_FILES})
