=== debian/changelog ===
kmediafactory (0.8.1-0ubuntu2) quantal; urgency=low

  * Rebuild for libkexiv2-11 transition
  * Bump debhelper version to 9:
    - Bump debhelper build dependency to 9.
    - Bump debian/compat to 9.
    - Fix order of debhelper options in debian/rules.
  * Bump Standards-Version to 3.9.3.1, no changes required
  * Transition from suggesting openoffice.org to suggesting libreoffice in
    the kmediafactory binary package.
  * Add unique_identifier_fix.diff to fix an FTBFS with GCC 4.7 caused by
    the redefinition of the "sub" identifier inside the foreach loop.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 09 Jun 2012 20:01:40 -0400

kmediafactory (0.8.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Drop debian/patches/fedora-docbook-fix.diff (incorporated upstream)
  * Add missing build-depends on libx11-dev, libavcodec-dev, libswscale-dev,
    libqtwebkit-dev, and libavformat-dev
  * Add debian/patches/check-function-exists.diff to fix build with current
    CMake

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Aug 2011 23:51:57 -0400

kmediafactory (0.8.0-0ubuntu4) natty; urgency=low

  * No change rebuild for exiv2 transition

 -- Scott Kitterman <scott@kitterman.com>  Fri, 17 Dec 2010 17:36:58 -0500

kmediafactory (0.8.0-0ubuntu3) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a for libkutils4 transition 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 28 Oct 2010 04:03:34 +0200
