=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Patrick Davies <jpatrick@kubuntu.org>
-Build-Depends: debhelper (>= 7.3.16),
+Build-Depends: debhelper (>= 9),
                pkg-kde-tools (>= 0.5.0),
-               kdelibs5-dev (>= 4:4.4.92-0ubuntu3),
+               kdelibs5-dev,
                cmake,
                libtheora-dev,
                libxine-dev (>= 1.1.16),
@@ -17,8 +17,13 @@
                docbook2x,
                dvd-slideshow,
                libfontconfig1-dev,
-               libkexiv2-dev
-Standards-Version: 3.8.4
+               libkexiv2-dev,
+               libx11-dev,
+               libavcodec-dev,
+               libavformat-dev,
+               libswscale-dev,
+               libqtwebkit-dev
+Standards-Version: 3.9.3.1
 Homepage: http://code.google.com/p/kmediafactory/
 
 Package: kmediafactory
