=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	rm -f kmediafactory.1
 
 %:
-	dh --with kde $@
+	dh $@ --with kde
